/** 
 * WordPress dependencies
 */
import { Button, Modal, FocusableIframe } from '@wordpress/components';
import { useState } from '@wordpress/element';

const SelectDialog = () => {
	const [ isOpen, setOpen ] = useState( false );
	const openModal = () => setOpen( true );
	const closeModal = () => setOpen( false );

	return (
			<div>
					<Button variant="primary" onClick={ openModal }>
							Choose a form
					</Button>
					{ isOpen && (
						<Modal title="Cognito Forms Embed" className="cognito-modal" onRequestClose={ closeModal } shouldCloseOnClickOutside={ false }>
							<FocusableIframe style={{ width: "500px", height: "500px" }} src="//example.com"></FocusableIframe>
						</Modal>
					) }
			</div>
	);
};

export default SelectDialog